﻿Write-Host 対象サーバーにリモートセッションを作成します。
$session = New-PSSession -ComputerName  ws2016tp4

Write-host 対象サーバーにディレクトリ作成
Invoke-Command  -Session $session -ScriptBlock {mkdir C:\dsc}

Write-host ローカルから対象サーバーに必要ファイルのコピー
copy Sample_xDscWebService.ps1 -ToSession $session -Destination C:\dsc

Invoke-Command -Session $session -ScriptBlock {
    
    cd c:\dsc

    Write-Host DSCリソースをダウンロードしてインストール
    Install-Module xPSDesiredStateConfiguration

    Write-Host Configurationを読み込む
    . .\Sample_xDscWebService.ps1

    Write-Host "Sample_xDscWebService configurationを実行し、mofファイルを生成します。"
    Sample_xDscWebService 

    Write-Host "mofファイルを反映し、Pullサーバーを構築します。"
    Start-DscConfiguration -Path .\Sample_xDscWebService  -Verbose -Wait

    Write-Host "IIS管理ツールをインストールします。"
    Add-WindowsFeature Web-Mgmt-Tools -Verbose

    Write-Host "完了しました" 
}
